#pragma once
#include <mpg123.h>


namespace drp::task {


/**
 * the audio Server.
 * Read and broadcast audio data.
 */
class ServerTask : public BaseTask {
public:
    explicit ServerTask();
    ~ServerTask();

    void handle() override;

private:
    mpg123_handle* mpgHandle;

    long sampleRate;
    int channels;
    int encoding;
};


}