#pragma once

#include <chrono>
#include <cstdint>


namespace drp::packet {


struct AudioPacket {
    // scheduling
    // TODO(Faraphel): use a more "fixed" size format ?
    std::chrono::time_point<std::chrono::high_resolution_clock> timePlay;
    // audio settings
    std::uint8_t channels {};
    std::uint32_t sampleFormat {};
    std::uint32_t sampleRate {};
    // content
    std::uint16_t contentSize {};
    std::array<std::uint8_t, 65280> content {};
};


}